#!/bin/bash
-# Here we find the recipes for the libraries.
-RECIPE_DIR=recipe
+if [ ! "$MAKE" ]; then
+ echo "Not run from within Makefile!"
+ exit 4
+fi
-# And their file suffix
-RECIPE_SUFFIX=.recipe
-# Here go the new libraries
-OUTPUT_DIR=./lib
-# This is needed as end-of-tape block for the loader
-ENDBLOCK=$H316/snippets/endseq
-# Where to get the original libraries:
-ORG_LIBDIR=original
-
-# And where to store the original objects
-ORG_OBJDIR=org
# The suffix for library files (in and out)
LIB_SUFFIX=.lib
#######################################################################
-
+IFS="
+"
# Clean everything up
clean() {
- rm -rf $OUTPUT_DIR $ORG_OBJDIR
+ rm -rf $LIB_DIR $ORG_OBJDIR
}
# Generate org directory containing the original library objects
genlib(){
echo "Library Builder start."
- if [ ! -d "$OUTPUT_DIR" ]; then
- echo -n "Creating $OUTPUT_DIR:"
- mkdir $OUTPUT_DIR && echo "Ok." || echo "FAILED!"
+ if [ ! -d "$LIB_DIR" ]; then
+ echo -n "Creating $LIB_DIR:"
+ mkdir $LIB_DIR && echo "Ok." || echo "FAILED!"
fi
-
-
- RECIPE_LIST=`ls $RECIPE_DIR/*$RECIPE_SUFFIX`
- for recipe in $RECIPE_LIST; do
- lib=$OUTPUT_DIR/`basename $recipe $RECIPE_SUFFIX`$LIB_SUFFIX
+ # RECIPE_LIST=`ls $RECIPE_DIR/*$RECIPE_SUFFIX`
+ # for recipe in $RECIPE_LIST; do
+ recipe=$1
+ lib=$LIB_DIR/`basename $recipe $RECIPE_SUFFIX`$LIB_SUFFIX
echo "Building $lib:"
rm -f $lib
- export IFS="
-"
- for item in `cat $recipe`; do
- if echo $item| egrep -vq '^[[:space:]\t]*([#;])|(//).*'; then
- item=`echo $item | egrep -o '[^[:space:]].*$'`
- echo "appending $item."
- cat $item >> $lib || (echo "Error! could not find:$item")
- else
- echo Ignoriere $item
- fi
+ for item in `cat $recipe| egrep -v '^[[:space:]]*(#.*)*$'`; do
+ echo "appending $item."
+ cat $item >> $lib || (echo "Error! could not find:$item")
done
cat $ENDBLOCK >> $lib
- done
+ #done
}
echo "Make org!"
make_org
;;
- lib)
+ genlib)
echo "Build Lib!"
- genlib
+ genlib $2
;;
*)
clean